CustomX509TrustManager (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.util, class: CustomX509TrustManager

Package org.apache.jmeter.util

# Class CustomX509TrustManager

java.lang.Object
org.apache.jmeter.util.CustomX509TrustManager

All Implemented Interfaces:
  `TrustManager`, `X509TrustManager`

public class CustomX509TrustManager extends Object implements X509TrustManager
Custom TrustManager ignores all certificate errors TODO: implement conditional checking and logging (Derived from AuthSSLX509TrustManager in HttpClient contrib directory)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomX509TrustManager(X509TrustManager defaultTrustManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkClientTrusted(X509Certificate[] certificates, String authType)`
  `void`
  `checkServerTrusted(X509Certificate[] certificates, String authType)`
  `X509Certificate[]`
  `getAcceptedIssuers()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CustomX509TrustManager

    public CustomX509TrustManager(X509TrustManager defaultTrustManager)

- ## Method Details

  - ### checkClientTrusted

    public void checkClientTrusted(X509Certificate[] certificates, String authType)
    Specified by:
      `checkClientTrusted` in interface `X509TrustManager`
    See Also:
      - `X509TrustManager.checkClientTrusted(X509Certificate[],String)`

  - ### checkServerTrusted

    public void checkServerTrusted(X509Certificate[] certificates, String authType) throws CertificateException
    Specified by:
      `checkServerTrusted` in interface `X509TrustManager`
    Throws:
      `CertificateException`
    See Also:
      - `X509TrustManager.checkServerTrusted(X509Certificate[],String)`

  - ### getAcceptedIssuers

    public X509Certificate[] getAcceptedIssuers()
    Specified by:
      `getAcceptedIssuers` in interface `X509TrustManager`
    See Also:
      - `X509TrustManager.getAcceptedIssuers()`